Bug 495077 - AttributeError: 'NoneType' object has no attribute 'getSize'
AttributeError: 'NoneType' object has no attribute 'getSize'
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
Reported: 2009-04-09 12:44 EDT by James Laska
Modified: 2013-09-02 02:34 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-10 05:54:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Attached traceback automatically from anaconda. (192.28 KB, text/plain)
2009-04-09 12:44 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2009-04-09 12:44:01 EDT
The following was filed automatically by anaconda:
anaconda exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devices.py", line 1225, in _getSize
    size = self.partedPartition.getSize()
  File "/usr/lib/anaconda/storage/devices.py", line 566, in <lambda>
    size = property(lambda x: x._getSize(),
  File "/usr/lib/anaconda/storage/partitioning.py", line 375, in partitionCompare
    ret -= cmp(part1.size, part2.size) * 100
  File "/usr/lib/anaconda/storage/partitioning.py", line 603, in allocatePartitions
  File "/usr/lib/anaconda/storage/partitioning.py", line 977, in growPartitions
    allocatePartitions(disks, partitions)
  File "/usr/lib/anaconda/storage/partitioning.py", line 563, in doPartitioning
    growPartitions(disks, partitions)
  File "/usr/lib/anaconda/storage/partitioning.py", line 186, in doAutoPartition
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
  File "/usr/lib/anaconda/dispatch.py", line 227, in currentStep
  File "/usr/lib/anaconda/gui.py", line 1356, in setScreen
    (step, anaconda) = self.anaconda.dispatch.currentStep()
  File "/usr/lib/anaconda/gui.py", line 1519, in setup_window
  File "/usr/lib/anaconda/gui.py", line 1529, in run
  File "/usr/lib/anaconda/gui.py", line 1276, in run
    self.icw.run (self.runres)
  File "/usr/bin/anaconda", line 968, in <module>
AttributeError: 'NoneType' object has no attribute 'getSize'
Comment 1 James Laska 2009-04-09 12:44:05 EDT
Created attachment 338945 [details]
Attached traceback automatically from anaconda.
Comment 2 Hans de Goede 2009-04-10 05:54:08 EDT
Thanks for reporting!

This is fixed by this commit:

Which will be in the next version of anaconda which will be

Can you please retry with a boot.iso from rawhide once anaconda-
has been build and has hit rawhide ?

As I believe this is fixed, I'm closing this, if this still happens with
anaconda >= anaconda-, please reopen this bug. Note if you fail to
install again, but get a different backtrace now, please open a new bug.

Note You need to log in before you can comment on or make changes to this bug.